#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define		pdir	Font
%define		pnam	FreeType
Summary:	Font::FreeType - read font files and render glyphs from Perl using FreeType2
Summary(pl.UTF-8):	Font::FreeType - odczyt plików fontów oraz rendering znaków graficznych za pomocą FreeType2
Name:		perl-Font-FreeType
Version:	0.16
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Font/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	01b17b1844c7369084288bb6c70b9021
URL:		https://metacpan.org/dist/Font-FreeType
BuildRequires:	freetype-devel >= 2
BuildRequires:	perl-Devel-CheckLib
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.64
BuildRequires:	perl-File-Which
%if %{with tests}
BuildRequires:	perl-Test-Warnings
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows Perl programs to conveniently read information from
font files. All the font access is done through the FreeType2 library,
which supports many formats. It can render images of characters with
high-quality hinting and antialiasing, extract metrics information,
and extract the outlines of characters in scalable formats like
TrueType.

%description -l pl.UTF-8
Moduł ten umożliwia programom perlowym odczyt informacji z plików
fontów w wygodny sposób. Cały dostęp do fontów odbywa sie poprzez
bibliotekę FreeType2, która wspiera wiele formatów. Umożliwia
renderowanie obrazów znaków, wysokiej jakości hinting i antyaliasing,
pobieranie informacji o metryce oraz pobieranie zarysów znaków dla
formatów skalowalnych, takich jak TrueType.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorarch}/Font
%{perl_vendorarch}/Font/FreeType.pm
%{perl_vendorarch}/Font/FreeType
%dir %{perl_vendorarch}/auto/Font
%dir %{perl_vendorarch}/auto/Font/FreeType
%attr(755,root,root) %{perl_vendorarch}/auto/Font/FreeType/FreeType.so
%{_mandir}/man3/Font::FreeType*.3pm*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Font-FreeType.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 74a9d6c
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 3244f30
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 017f7e9
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 177133a
- rebuild with perl 5.34.0

* Wed Jun 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 60c5d6f
- updated to 0.16
- removed obsolete gcc4 patch
- tests are passing now

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> e568971
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 903ed0e
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 5da8553
- rebuild with perl 5.30.0
- release 16 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 764b1e6
- rebuild with perl 5.28.0
- release 15 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 0a7f7bd
- perl req/prov fix
- release 14 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 86648d4
- rebuild with perl 5.26
- release 13 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> d9150ae
- rebuild with perl 5.24.0
- release 12 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 83c03ba
- release 11 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 06ac9d8
- x32 rebuild
- release 10 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> b2cddd4
- release 9 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0bec2c0
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9de85a4
- rebuild for perl 5.20
- release 8 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 53174ba
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Mon Jun 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 6bdc650
- adjusted man pages glob

* Mon Jun 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 51c9f17
- disable tests (last package version was released in 2004, tests fail with any recent freetype version)

